githubEdit

Asset

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

Add alias for a repository asset in org (Early Access)

post

Link one or more alternate repository URLs to a canonical repository asset within an organisation, enabling alias-aware asset lookup.

Required permissions

  • Edit Organization (org.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
post
/orgs/{org_id}/assets/repository/aliases

No content

List repository aliases in org (Early Access)

get

Returns a paginated list of alias URL entries for repository assets within an organisation. Use the optional url filter to restrict results to a specific canonical document.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Query parameters
urlstringOptional

Optional repository URL filter — restricts results to the canonical document containing this URL

limitinteger · min: 10 · max: 100Optional

Maximum number of alias items to return per page. A single canonical document with multiple aliases may span more than one page.

Default: 10
starting_afterstringOptional

Return records after the record identified by this cursor

Example: v1.MTIzNDU2Nzg5MHxhYmNkZWY=
ending_beforestringOptional

Return records before the record identified by this cursor

Example: v1.MTIzNDU2Nzg5MHxhYmNkZWY=
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Paginated list of repository alias entries

application/vnd.api+json
get
/orgs/{org_id}/assets/repository/aliases

Bulk remove aliases from repository assets in org (Early Access)

delete

Detach one or more aliased URLs from their canonical repository assets within an organisation. Each removed URL gets a new standalone asset document.

Required permissions

  • Edit Organization (org.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
delete
/orgs/{org_id}/assets/repository/aliases

No content

Update asset attributes (Early Access)

patch

The endpoint allows for partial updates to an asset's attributes.

Required permissions

  • Edit Group Details (group.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
asset_idstring · uuidRequired

Unique identifier for the Asset

group_idstring · uuidRequired

Group ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
chevron-right
200

Asset updated successfully

application/vnd.api+json
patch
/groups/{group_id}/assets/{asset_id}

Get an Asset by its ID (Early Access)

get

Get an Asset by its ID

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
asset_idstring · uuidRequired

Unique identifier for the Asset

group_idstring · uuidRequired

Group ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Asset found

application/vnd.api+json
get
/groups/{group_id}/assets/{asset_id}

List asset projects with pagination (Early Access)

get

List asset projects with pagination

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

asset_idstring · uuidRequired

Unique identifier for the Asset

Query parameters
starting_afterstringOptional

Return records after the record identified by cursor position starting_after

ending_beforestringOptional

Return records before the record identified by cursor position ending_before

limitnumber · min: 10 · max: 100Optional

Number of records to return

Default: 10
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Assets found

application/vnd.api+json
get
/groups/{group_id}/assets/{asset_id}/relationships/projects

List related assets with pagination (Early Access)

get

List related assets with pagination

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

asset_idstring · uuidRequired

Unique identifier for the Asset

Query parameters
starting_afterstringOptional

Return records after the record identified by cursor position starting_after

ending_beforestringOptional

Return records before the record identified by cursor position ending_before

limitnumber · min: 10 · max: 100Optional

Number of records to return

Default: 10
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
typestring · enumOptional

Filter by asset type

Possible values:
Responses
chevron-right
200

Related assets found

application/vnd.api+json
get
/groups/{group_id}/assets/{asset_id}/relationships/assets

List Assets with filters (Early Access)

post

List Assets with filters

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
objectOptional

Empty body

or
Responses
chevron-right
200

Assets found

application/vnd.api+json
post
/groups/{group_id}/assets/search

Add alias for a repository asset in group (Early Access)

post

Link one or more alternate repository URLs to a canonical repository asset within a group, enabling alias-aware asset lookup.

Required permissions

  • Edit Group Details (group.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
post
/groups/{group_id}/assets/repository/aliases

No content

List repository aliases in group (Early Access)

get

Returns a paginated list of alias URL entries for repository assets within a group. Use the optional url filter to restrict results to a specific canonical document.

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

Query parameters
urlstringOptional

Optional repository URL filter — restricts results to the canonical document containing this URL

limitinteger · min: 10 · max: 100Optional

Maximum number of alias items to return per page. A single canonical document with multiple aliases may span more than one page.

Default: 10
starting_afterstringOptional

Return records after the record identified by this cursor

Example: v1.MTIzNDU2Nzg5MHxhYmNkZWY=
ending_beforestringOptional

Return records before the record identified by this cursor

Example: v1.MTIzNDU2Nzg5MHxhYmNkZWY=
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Paginated list of repository alias entries

application/vnd.api+json
get
/groups/{group_id}/assets/repository/aliases

Bulk remove aliases from repository assets in group (Early Access)

delete

Detach one or more aliased URLs from their canonical repository assets within a group. Each removed URL gets a new standalone asset document.

Required permissions

  • Edit Group Details (group.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Group ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
delete
/groups/{group_id}/assets/repository/aliases

No content

Last updated

Was this helpful?